<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST['kodeaw'];
$kodeak	=$_POST['kodeak'];

$sql= mysql_query("SELECT * FROM interface");
$r	= mysql_fetch_assoc($sql);
$piutang  	= $r['piutang'];
$labapb 	= $r['laba_pb'];
$labrug 	= $r['laba_rugi'];
$potbeli	= $r['pot_beli'];

$sql = mysql_query("SELECT * FROM jurkm WHERE kode_km BETWEEN '$kodeaw' AND '$kodeak' AND posting='P' ORDER BY kode_km");

while($r=mysql_fetch_array($sql)){
	$kodekm 	= $r['kode_km'];
	$tanggal	= $r['tanggal'];
	$nokas 		= $r['nokas'];
	$nourut  	= $r['no_urut'];
	$noakun 	= $r['noakun'];
	$nobp 		= $r['nobp'];
	$nofak		= $r['nofak'];
	$kodecab 	= $r['kode_cab'];
	$jumlah		= $r['jumlah'];
	$ket 		= $r['keterangan'];
	$user 		= $r['user'];	
	$kelakun	= (int) substr($noakun,0,1);
	
	// --->kredit kas bertambah
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$jumlah WHERE noakun='$nokas'");
		
	// --->jika kode akun buku besar adalah hpiutang dagang, kurangi saldo hpiutang
	if($noakun==$piutang){
		$kodepl = substr($nobp,5,4);
		mysql_query("UPDATE piutang SET jumlah=jumlah+$jumlah WHERE kode_pl='$kodepl' AND nofak='$nofak'");
	}
	
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$jumlah WHERE noakun='$noakun'");
		
	if(!($nobp=='')){
		// --->Jika akun buku pembantu tidak kosong, debet bertambah
		mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd-$jumlah WHERE noakun='$nobp'");
	}
	
	if($kelakun>3){
		// --->laba periode berjalan debet
		mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd-$jumlah WHERE noakun='$labapb'");
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db-$jumlah WHERE noakun='$labrug'");
	}
	
	mysql_query("DELETE FROM rekapjur WHERE kode_tr='$kodekm'");
	
	mysql_query("UPDATE jurkm SET posting='' WHERE kode_km='$kodekm'");
}
echo "Posting jurnal pengeluaran kas nomor $kodeaw sampai dengan $kodeak telah dibatalkan.";
?>
